DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DSRImageSegmentList Class Reference

Class for image segment number list. More...

Inheritance diagram for DSRImageSegmentList:

## Public Member Functions
| DSRImageSegmentList ()
| default constructor
| DSRImageSegmentList (const DSRImageSegmentList &lst)
| copy constructor
virtual | ~DSRImageSegmentList ()
| destructor
DSRImageSegmentList & | operator= (const DSRImageSegmentList &lst)
| assignment operator
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char separator=',') const
| print list of referenced segment numbers.
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of referenced segment numbers
OFCondition | write (DcmItem &dataset) const
| write list of referenced segment numbers
OFCondition | putString (const char *stringValue)
| put list of referenced segment numbers as a string.
Public Member Functions inherited from DSRListOfItems< Uint16 >
| DSRListOfItems ()
| default constructor
| DSRListOfItems (const DSRListOfItems< Uint16 > &lst)
| copy constructor
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< Uint16 > & | operator= (const DSRListOfItems< Uint16 > &lst)
| assignment operator
OFBool | operator== (const DSRListOfItems< Uint16 > &lst) const
| comparison operator "equal"
OFBool | operator!= (const DSRListOfItems< Uint16 > &lst) const
| comparison operator "not equal"
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty
size_t | getNumberOfItems () const
| get number of items contained in the list
OFBool | isElement (const Uint16 &item) const
| check whether specified item is contained in the list
const Uint16 & | getItem (const size_t idx) const
| get reference to the specified item
OFCondition | getItem (const size_t idx, Uint16 &item) const
| get copy of the specified item
OFCondition | getItems (OFVector< Uint16 > &items) const
| get copy of all items (as a vector)
void | addItem (const Uint16 &item)
| add item to the list
void | addOnlyNewItem (const Uint16 &item)
| add item to the list only if it's not already contained
void | addItems (const OFVector< Uint16 > &items)
| add items to the list
OFCondition | insertItem (const size_t idx, const Uint16 &item)
| insert item at specified position to the list
OFCondition | removeItem (const size_t idx)
| remove item from the list

## Additional Inherited Members
Protected Member Functions inherited from DSRListOfItems< Uint16 >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(Uint16) &iterator) const
| goto specified item position
OFBool | gotoItem (const Uint16 &item, OFLIST_TYPENAME OFListConstIterator(Uint16) &iterator) const
| goto specified item
Protected Attributes inherited from DSRListOfItems< Uint16 >
OFList< Uint16 > | ItemList
| the list maintained by this class

## Detailed Description

Class for image segment number list.

## Constructor & Destructor Documentation

## ◆ DSRImageSegmentList()

DSRImageSegmentList::DSRImageSegmentList | ( | const DSRImageSegmentList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

References DSRImageSegmentList().

## Member Function Documentation

## ◆ operator=()

DSRImageSegmentList & DSRImageSegmentList::operator= | ( | const DSRImageSegmentList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

References DSRImageSegmentList().

## ◆ print()

OFCondition DSRImageSegmentList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = 0,
|  | const char | separator = ',' ) const

print list of referenced segment numbers.

The output of a typical list looks like this: 1,2,3 or 1,... if shortened.

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  separator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ putString()

OFCondition DSRImageSegmentList::putString | ( | const char * | stringValue | ) |

put list of referenced segment numbers as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of numerical values.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRImageSegmentList::read | ( | DcmItem & | dataset,
|  | const size_t | flags )

read list of referenced segment numbers

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRImageSegmentList::write | ( | DcmItem & | dataset | ) | const

write list of referenced segment numbers

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrimgse.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2